Skip to main content
Quote / Events

Get quote events

Get quote events.

GET
/qt/quote-events

This method requires the QuoteEvents:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
client_group_idstringquery

Optional Client Group Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
client_idstringquery

Optional Client Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
completed_flagenum<string>query

Optional Completed Flag

Available options: yes, no
descriptionstringquery

Optional Description

This field supports the wildcard % operator.

driver_idstringquery

Optional Driver Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
due_datestringquery

Optional Due Date

event_datestringquery

Optional Event Date

event_date_fromstringquery

Optional Event Date (From)

event_date_tostringquery

Optional Event Date (To)

opportunity_numberstringquery

Optional Opportunity Number

parent_quote_idstringquery

Optional Parent Quote Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
quote_idstringquery

Optional Quote Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
quote_event_action_idstringquery

Optional Quote Event Action Id

quote_event_code_idstringquery

Optional Quote Event Code Id

quote_status_idstringquery

Optional Quote Status Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
user_id_editstringquery

Optional User Id (Edit)

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647
Time-Zonestringheaderdefault:UTC

Quote events will be shown in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1